Subject: Re: bug#38315: 26.3; Emacs manual: please index Alt key for node User Input

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Nov 2019 09:29:23 +0200

> Date: Thu, 21 Nov 2019 13:17:47 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> There are index entries for the Alt key on MS Windows, but there is no
> index entry for node `User Input', where it is mentioned in a general
> context (not just MS Windows).  Please add an index entry for this.

What would that index entry index in that node?  That node has no
Windows-specific information or issues, AFAICT.

> These are the current index entries containing "alt" that refer to an
> Alt key:
> 
> <Alt>-<TAB> vs M-<TAB> (MS-Windows)
> <AltGr> key (MS-Windows)
> Alt key (MS-Windows)
> Alt key invokes menu (Windows)
> AltGr (MS-Windows)
> M-<TAB> vs <Alt>-<TAB> (MS-Windows)
> 
> ns-alternate-modifier
> ns-right-alternate-modifier
> w32-alt-is-meta
> w32-pass-alt-to-system
> w32-recognize-altgr
> 
> (I had to look for "meta" in the index to find the mention of the Alt
> key in node `User Input'.)

Please describe, step by step, what subject/topic did you look for,
how did you look for it (i.e. what index entries you tried), and how
did you eventually find it.  Without the whole story, I'm afraid I
cannot understand what exactly was missing in your use case and how
best to fix that.

Thanks.